﻿<!DOCTYPE html>
<html>
<head>
    <title>Angular</title>
    <meta charset="utf-8" />
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.4/angular.min.js"></script>
    <style>
        body {
            margin: 0;
            padding: 0;
        }

        #rok {
            padding: 20px;
            width: 20%;
            margin-left: 40%;
            margin-right: 40%;
            height: 100px;
        }

        #back {
            width: 100%;
            height: 40px;
            margin-top: 10px;
            border: 2px solid black;
        }

        #btBack {
            margin-top: 9px;
        }
    </style>
</head>
<body>

    <center ng-app="myApp" ng-controller="myCtrl">

        <table ng-init="load()" ng-show="tabShow">
            <tr ng-repeat="x in tabLoad">
                <td><img ng-src="{{x.first[0]}}" ng-click="myFunc(x.first[1])" /></td>
                <td><img ng-src="{{x.second[0]}}" ng-click="myFunc(x.second[1])" /></td>
            </tr>
        </table>

        <div id="rok" ng-show="rok">
            <button ng-repeat="x in tabRok" ng-click="getContent(x+'|'+acc)">{{x}}</button>
        </div>

        <table ng-show="tabContent" id="tabContent" border="1">
            <tr>
                <th>strona tytułowa</th>
                <th>plik</th>
                <th>pismo</th>
                <th>darczyńcy</th>
            </tr>
            <tr ng-repeat="x in tabCont">
                <td ng-if="x['@attributes'].brak != ''" align="center">{{x['@attributes'].rok}}</td>
                <td ng-if="x['@attributes'].brak != ''" align="center" colspan="3">{{x['@attributes'].brak}}</td>
                <td ng-if="x['@attributes'].brak == ''"><img ng-src="{{x.miniaturka}}" /></td>
                <td ng-if="x['@attributes'].brak == ''">format: <br /> {{x.format}} <br /> stron: <br /> {{x.stron}} <br /> plik: <br /> <a ng-href="{{x.plik}}" target="_blank">tutaj</a> <br /></td>
                <td ng-if="x['@attributes'].brak == ''">nazwa: <br /> {{x.nazwa}} <br /> numer: <br /> {{x.numer}} <br /> wydawca: <br /> {{x.wydawca}} <br /></td>
                <td ng-if="x['@attributes'].brak == ''">skan: <br /> {{x.skan}} <br /> przetworzenie: <br /> {{x.przetworzenie}} <br /> podesłał: <br /> {{x.podeslal}} <br /></td>
            </tr>
        </table>

        <center id="back" ng-show="back">
            <button id="btBack" ng-click="backFunc()">Cofnij</button>
        </center>

    </center>

    <script>
        //maciej@mendela.pl
        var app = angular.module('myApp', []);
        app.controller('myCtrl', function ($scope, $http) {
            $scope.tabLoad = [];
            $scope.load = function () {
                //Ajax
                var request = $http({
                    method: "post",
                    url: "ajax.php",
                    data: {
                        'type': 'onload',
                    }
                });

                request.then(function (response) {
                    //console.log(response.data);
                    var tmp = response.data;
                    var row = tmp.length;
                    var count;
                    var flag;
                    if (row % 2 == 0) {
                        count = row / 2;
                    } else if (row % 2 == 1) {
                        count = (row + 1) / 2;
                        flag = true;
                    }

                    for (var i = 0; i < count; i++) {
                        var obj = {};
                        var tab1 = [];
                        var tab2 = [];

                        tab1[0] = "http://atarionline.pl/biblioteka/czasopisma/img/" + tmp[i * 2].src;
                        tab1[1] = tmp[i * 2].klik;

                        obj.first = tab1;
                        //obj.second = tab2;
                        if (i == count - 1 && flag == true) {
                            tab2[0] = "";
                            tab2[1] = "";
                            obj.second = tab2;
                        } else {
                            tab2[0] = "http://atarionline.pl/biblioteka/czasopisma/img/" + tmp[i * 2 + 1].src;
                            tab2[1] = tmp[i * 2 + 1].klik;
                            obj.second = tab2;
                        }


                        $scope.tabLoad.push(obj);
                    }

                    //console.log($scope.tabLoad);
                }, function (response) {
                    console.log("Something went wrong");
                });
                //
            };


            $scope.tabShow = true;
            $scope.rok = false;
            $scope.back = false;
            $scope.tabContent = false;
            $scope.tabCont = [];

            $scope.acc;
            $scope.tabRok;

            $scope.myFunc = function (val) {

                $scope.tabShow = false;
                $scope.rok = true;
                $scope.back = true;
                $scope.acc = val;


                //Ajax
                var request = $http({
                    method: "post",
                    url: "ajax.php",
                    data: {
                        'type': 'rok',
                        'value': val,
                    }
                });

                request.then(function (response) {
                    $scope.tabRok = response.data[0][0].split(",");
                    $scope.tabRok.push("wszystkie")

                }, function (response) {
                    console.log("Something went wrong");
                });
                //

            };

            $scope.getContent = function (cont) {
                //console.log(cont);

                //Ajax
                var request = $http({
                    method: "post",
                    url: "ajax.php",
                    data: {
                        'type': 'content',
                        'value': cont,
                    }
                });

                request.then(function (response) {
                    $scope.tabContent = true;
                    console.log(response.data);
                    var res = response.data;
                    for (var i = 0; i < res.length; i++) {
                        //console.log(res[i].nazwa);
                        if (!res[i]["@attributes"].brak) {
                            res[i]["@attributes"].brak = "";
                        }
                        if (res[i]["@attributes"].brak == "") {

                            var name = res[i].nazwa.replace(" ", "_");
                            var src = "http://atarionline.pl/biblioteka/czasopisma/" + name + "/" + res[i].miniaturka;
                            var href = "http://atarionline.pl/biblioteka/czasopisma/" + name + "/" + res[i].plik;
                            res[i].miniaturka = src;
                            res[i].plik = href;
                        }
                        if (res[i]["@attributes"].brak == "" && res[i]["@attributes"].rok == "nr specjalne") {

                            //console.log("XXX");
                            var name = res[i].nazwa.split(" ");
                            //console.log(name[0]);
                            var tmp = res[i].miniaturka.split("/");
                            var tmp2 = res[i].plik.split("/");
                            var src = "http://atarionline.pl/biblioteka/czasopisma/" + name[0] + "/" + tmp[tmp.length-1];
                            var href = "http://atarionline.pl/biblioteka/czasopisma/" + name[0] + "/" + tmp2[tmp2.length-1];
                            res[i].miniaturka = src;
                            res[i].plik = href;
                        }

                    }
                    $scope.tabCont = response.data;
                    console.log($scope.tabCont);
                }, function (response) {
                    console.log("Something went wrong");
                });
                //
            };

            $scope.backFunc = function () {
                $scope.tabShow = true;
                $scope.rok = false;
                $scope.back = false;
                $scope.tabContent = false;

                $scope.acc = '';
                $scope.tabRok = [];
            };

        });
    </script>

</body>
</html>
